Skip to main content
POST
/
submission
/
{displayId}
/
{transactionId}
/
driver
Add Driver
curl --request POST \
  --url https://app.coverwhale.com/api/v1/submission/{displayId}/{transactionId}/driver \
  --header 'AccessToken: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name_first": "John",
  "name_last": "Doe",
  "driver_license_state": "FL",
  "driver_license_number": "F99900020",
  "driver_date_of_birth": "1980-06-15",
  "covered": "Y",
  "years_cdl_experience": 12,
  "months_cdl_experience": 0,
  "accidents_total": 0,
  "suspensions_total": 0,
  "violations_total": 0,
  "major_violations_total": 0
}
'
{
  "status": "success",
  "driver_id": 123,
  "submission_number": "<string>",
  "transaction_id": 123
}

Authorizations

AccessToken
string
header
required

AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.

Headers

AccessToken
string
required

Path Parameters

displayId
string
required
transactionId
integer
required

Body

application/json
name_first
string
required
Example:

"John"

name_last
string
required
Example:

"Doe"

driver_license_state
string
required
Example:

"FL"

driver_license_number
string
required
Example:

"F99900020"

driver_date_of_birth
string<date>
required
Example:

"1980-06-15"

covered
enum<string>
required

Y=Covered, N=Excluded

Available options:
Y,
N
years_cdl_experience
integer
required
Example:

12

months_cdl_experience
integer
Example:

0

accidents_total
integer
Example:

0

suspensions_total
integer
Example:

0

violations_total
integer
Example:

0

major_violations_total
integer
Example:

0

Response

Driver added

status
string
Example:

"success"

driver_id
integer
submission_number
string
transaction_id
integer